library lorem_ipsum;

class LoremIpsum {

  static const source =
  """
  Lorem ipsum dolor sit amet, consectetur adipiscing elit. In ut tortor sed nisi malesuada imperdiet. Aenean sit amet consequat mi, ac dictum odio. Curabitur porta id tellus id eleifend. Nam sit amet pellentesque justo. Suspendisse a ullamcorper purus. Proin quis dictum velit. Quisque id risus in augue laoreet dapibus vitae a velit. Donec id nunc mattis sapien blandit venenatis at sit amet odio. Sed nec dolor quis leo sodales lobortis quis ac dui. Sed pretium eget nisi eget placerat.

  Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nullam bibendum lorem id neque pellentesque gravida vitae ut lectus. Sed luctus odio vestibulum odio posuere viverra. Maecenas et faucibus ipsum. Integer venenatis tincidunt posuere. Sed eget purus velit. Curabitur id sapien vitae odio pulvinar gravida. In dignissim vulputate elit non egestas. Fusce sed enim lacus. Fusce tempor ultrices augue pretium bibendum. Nulla mauris mauris, ultrices a mauris eget, sollicitudin scelerisque justo. Pellentesque et felis in risus vulputate venenatis non sed magna. Praesent eget mollis lectus. Nullam eu rhoncus arcu, quis pellentesque ipsum. Praesent vel rhoncus nibh. In hac habitasse platea dictumst.

  Mauris ultricies eleifend auctor. Etiam velit ex, imperdiet sit amet nulla et, ornare vulputate ipsum. Sed vestibulum, felis ut fringilla faucibus, nibh est volutpat massa, et auctor arcu ex sit amet ante. Ut ullamcorper erat consequat, cursus erat vel, imperdiet quam. Mauris ac augue aliquam, tempor sem in, semper lacus. Ut nec ligula a justo condimentum ultrices. Nullam sed ligula vitae justo molestie aliquet. Sed accumsan pharetra feugiat. Vivamus non bibendum justo. Phasellus eget molestie ipsum. Maecenas gravida imperdiet fringilla. Cras rutrum, velit at semper vestibulum, ex elit fringilla augue, sed molestie elit mi ac ante. Suspendisse potenti. Curabitur vel nibh porta, luctus diam ut, consectetur nulla. Vivamus ac sem at nisl dapibus bibendum. Sed fermentum fermentum felis.

  Interdum et malesuada fames ac ante ipsum primis in faucibus. Quisque egestas nunc et tristique cursus. Donec at ipsum rhoncus, vestibulum nibh suscipit, posuere urna. Aliquam sed turpis nec purus consectetur cursus eu eu nisi. Praesent ultricies faucibus dolor nec laoreet. In libero arcu, faucibus sit amet congue tempor, tincidunt iaculis magna. Curabitur a facilisis nibh. Proin dapibus malesuada velit non lobortis. Vivamus mauris orci, dictum nec maximus vel, sagittis sit amet augue. Nulla maximus sapien at posuere condimentum. Aenean tempor eget arcu posuere hendrerit. Vestibulum in enim egestas, lacinia dolor eget, porttitor nibh. Maecenas vehicula mattis dui, sed aliquet magna. Fusce quis neque turpis. Morbi efficitur scelerisque tellus, sed molestie diam tincidunt a. Donec ac dui pharetra, condimentum eros vitae, convallis lacus.

  Cras cursus mauris nec felis congue posuere. Phasellus vitae felis lacinia augue rhoncus mollis. Cras placerat at erat vitae volutpat. Praesent ullamcorper quam vitae sem rhoncus interdum. Duis aliquet malesuada libero vitae pellentesque. Nullam eleifend suscipit sodales. Aenean at nibh lacus. Quisque in convallis dui. Morbi vel felis dapibus, volutpat nulla in, tempus lacus. Maecenas varius leo sapien, sed sollicitudin libero tincidunt quis. Integer est ex, suscipit sit amet ultricies sit amet, mattis vel ipsum. Integer porttitor magna at magna efficitur, et laoreet sapien condimentum. Vivamus hendrerit iaculis lorem vel aliquet.
  """;

  /// Provides the specified amount of the lorem ipsum standard text
  static String provideText({
    int letters = -1,
    int words = -1,
    int sentences = -1,
    int paragraphs = -1
  }) {
    if (letters != -1) {
      assert(letters > 0);
      return source.substring(0, letters);
    }
    if (words != -1) {
      assert(words > 0);
      return source.split(" ").take(words).join(" ");
    }
    if (sentences != -1) {
      assert(sentences > 0);
      return source.split("\.").take(sentences).join(".") + ".";
    }
    assert(paragraphs != -1 && paragraphs > 0 && paragraphs <=5);
    return source.split("\n\n").take(paragraphs).join("\n\n");
  }

}
